<?php

/**
 * Description of Video
*/

class YT_Video {
    private $videoID;
    private $videoTitle;
    private $videoLink;
    private $videoCat;
    private $videoStatus;
    private $dateCreated;
    private $dateModified;
    private $userID;
    private $youtubePlayerParameters;
    private $videoHeight;
    private $videoWidth;
    
    private $_getters = array('videoID', 'videoTitle', 'videoLink', 'videoCat', 'videoStatus', 'dateCreated', 'dateModified', 'userID', 'youtubePlayerParameters','videoHeight', 'videoWidth');
    private $_setters = array('videoID', 'videoTitle', 'videoLink', 'videoCat', 'videoStatus', 'dateCreated', 'dateModified', 'userID', 'youtubePlayerParameters','videoHeight', 'videoWidth');
    
    public function __construct()
    {
        $this->videoID                 = 0;
        $this->videoTitle              = "";
        $this->videoLink               = "";
        $this->videoCat                = 0;
        $this->videoStatus             = 1;
        $this->dateCreated             = 0;
        $this->dateModified            = 0;
        $this->userID                  = 0;
        $this->youtubePlayerParameters = get_option('ytYoutubePlayerParameters');
        $this->videoWidth              = '640';
        $this->videoHeight             = '385';
    }
    
    public function __get($property) {
        if (in_array($property, $this->_getters)) {
            return $this->$property;
        } else if (method_exists($this, '_get_' . $property)) {
            return call_user_func(array($this, '_get_' . $property));
        }
    }
    
    public function __set($property, $value) {
        if (in_array($property, $this->_setters)) {
            $this->$property = $value;
        } else if (method_exists($this, '_set_' . $property)) {
            call_user_func(array($this, '_set_' . $property), $value);
        }
    }
    
    /**
    * Function Insert Video - DONE
    */
    function ytInsertVideo()
    {
        $result = "";
        global $wpdb;
        $tableName = $wpdb->prefix."yt_videos";
        if ($this->videoTitle == "" || $this->videoLink == "") {
            $result = 0;
        } else {
            $wpdb->insert($tableName,
            array(
                'video_title'               =>  $this->videoTitle,
                'video_link'                =>  $this->videoLink,
                'video_cat'                 =>  $this->videoCat,
                'video_status'              =>  $this->videoStatus,
                'date_created'              =>  $this->dateCreated,
                'date_modified'             =>  $this->dateModified,
                'user_id'                   =>  $this->userID,
                'youtube_player_parameters' => serialize($this->youtubePlayerParameters),
                'video_height'              =>  $this->videoHeight,
                'video_width'               =>  $this->videoWidth
            ),
            array(
                '%s',
                '%s',
                '%d',
                '%d',
                '%d',
                '%d',
                '%d',
                '%s',
                '%s',
                '%s'
                )
            );
            $result = $wpdb->insert_id;
        }
        return $result;
    }
    
    
    /**
    * Function Insert Video - DONE
    */
    function ytInsertVideoSingle()
    {
        $result = "";
        global $wpdb;
        $tableName = $wpdb->prefix."yt_videos";
        if ($this->videoTitle == "" || $this->videoLink == "") {
            $result = 0;
        } else {
            $wpdb->insert($tableName,
            array(
                'video_title'               =>  $this->videoTitle,
                'video_link'                =>  $this->videoLink,
                'video_cat'                 =>  $this->videoCat,
                'video_status'              =>  $this->videoStatus,
                'date_created'              =>  $this->dateCreated,
                'date_modified'             =>  $this->dateModified,
                'user_id'                   =>  $this->userID,
                'youtube_player_parameters' => serialize($this->youtubePlayerParameters),
                'video_height'              =>  $this->videoHeight,
                'video_width'               =>  $this->videoWidth
            ),
            array(
                '%s',
                '%s',
                '%d',
                '%d',
                '%d',
                '%d',
                '%d',
                '%s',
                '%s',
                '%s'
                )
            );
            $result = $wpdb->insert_id;
        }
        return $result;
    }
    
    
    /**
    * Function Insert Video
    */
    function ytUpdateVideo()
    {
        $result = "";
        global $wpdb;
        $tableName = $wpdb->prefix."yt_videos";
        if ($this->videoTitle == "" || $this->videoLink == "") {
            $result = false;
        } else {
            $result = $wpdb->update(
                $tableName,
                array(
                    'video_title'               =>  $this->videoTitle,
                    'video_link'                =>  $this->videoLink,
                    'video_cat'                 =>  $this->videoCat,
                    'video_status'              =>  $this->videoStatus,
                    'date_created'              =>  $this->dateCreated,
                    'date_modified'             =>  $this->dateModified,
                    'user_id'                   =>  $this->userID,
                    'youtube_player_parameters' => serialize($this->youtubePlayerParameters),
                    'video_height'              =>  $this->videoHeight,
                    'video_width'               =>  $this->videoWidth
                ),
                array(
                    'video_id' => $this->videoID
                ),
                array(
                    '%s',
                    '%s',
                    '%d',
                    '%d',
                    '%d',
                    '%d',
                    '%d',
                    '%s',
                    '%s',
                    '%s'
                ),
                array('%d')
            );
        }
        return $result;
    }
    
    /**
    * Function Delete Video
    */
    function ytDeleteVideo()
    {
        $result = false;
        global $wpdb;
        $tableName = $wpdb->prefix."yt_videos";
        if ($this->videoID != 0) {
            $sql = "DELETE FROM $tableName WHERE video_id = $this->videoID";
            $result = $wpdb->query($sql);
        }
        return $result;
    }
    
    /**
    * Function: Get videos by videoID, catID, typeID, or all
    */
    public static function ytGetVideos($args = null, $keyword = null)
    {
        global $wpdb;
        $tableName1    = $wpdb->prefix."yt_videos";
        $tableName2    = $wpdb->prefix."yt_videos_cat";
        $v             = "";
        $sql           = "";
        $videoID       = (isset($args["videoID"])) ? $args["videoID"] : "0";
        $catID         = (isset($args["catID"])) ? $args["catID"] : "0";
        $typeID        = (isset($args["typeID"])) ? $args["typeID"] : "0";
        $isPublish     = (isset($args["isPublish"])) ? $args["isPublish"] : null;
        $limitText     = (isset($args["limitText"])) ? $args["limitText"] : null;
        $currentUserID = (isset($args["currentUserID"])) ? $args["currentUserID"] : null;
        
        $sql = "SELECT $tableName1.video_id, $tableName1.video_title, $tableName1.video_link, $tableName1.video_cat, $tableName1.video_status, $tableName1.date_created, $tableName1.date_modified, $tableName1.user_id, $tableName1.youtube_player_parameters,  $tableName1.video_height,  $tableName1.video_width, $tableName2.video_cat_title 
        FROM $tableName1, $tableName2 
        WHERE $tableName1.video_cat = $tableName2.video_cat_id";
        
        if (!is_null($currentUserID)) {
            $sql .= " AND $tableName1.user_id = $currentUserID ";
        }
        
        if ($keyword != null) {
            $keyword_analysis = explode(' ', $keyword);
            $keyAmount = count($keyword_analysis);
            if ($keyAmount <= 1) {
                $sql .= " AND $tableName1.video_title like '%".$keyword."%'";
            } else {
                $sql .= " AND (";
                $sql .= "$tableName1.video_title like '%".$keyword."%'";
                for ($i=0; $i<count($keyword_analysis); $i++) {
                    if (strlen($keyword_analysis[$i]) >= 3) {
                        $sql .= " OR $tableName1.video_title like '%".$keyword_analysis[$i]."%'";
                    }
                }
                $sql .= ")";
            }
        }
        
        if ($videoID != 0) {
            $sql .= " AND $tableName1.video_id = $videoID";
        }
        
        if ($catID != 0) {
            $sql .= " AND $tableName1.video_cat = $catID";
        }
        
        if ($isPublish != null) {
            $sql .= " AND $tableName1.video_status = $isPublish";
        }
        
        if ($limitText != null) {
            $sql .= " $limitText";
        }
        
        $results = $wpdb->get_results($sql);
        return $results;
    }
    
    /**
    * Function: Get video by ID
    */
    public function ytGetVideo($videoID = 0, $currentUserID = null)
    {
        global $wpdb;
        $tableName = $wpdb->prefix."yt_videos";
        
        $sql = "";
        if ($videoID != 0) {
            $sql = "SELECT video_id, video_title, video_link, video_cat, video_status, date_created, date_modified, user_id , youtube_player_parameters, video_height, video_width 
            FROM $tableName 
            WHERE video_id = $videoID";
            
            if (isset($currentUserID)) {
                $sql .= " AND user_id = $currentUserID";
            }
            
            $video                         = $wpdb->get_row($sql);
            $this->videoID                 = $video->video_id;
            $this->videoTitle              = $video->video_title;
            $this->videoLink               = $video->video_link;
            $this->videoCat                = $video->video_cat;
            $this->videoStatus             = $video->video_status;
            $this->dateCreated             = $video->date_created;
            $this->dateModified            = $video->date_modified;
            $this->userID                  = $video->user_id;
            $this->youtubePlayerParameters = unserialize($video->youtube_player_parameters);
            $this->videoHeight             = $video->video_height;
            $this->videoWidth              = $video->video_width;
        } else {
            wp_die("Error function ytGetVideo : not found videoID");
            exit;
        }
    }
    
    
    public static function get_youtube_id($url)
    {
        if (strpos($url,"v=") !== false) {
            return substr($url, strpos($url, "v=") + 2, 11);
        } else if (strpos($url,"embed/") !== false) {
            return substr($url, strpos($url, "embed/") + 6, 11);
        }
        
    }
}
