<?php

/**
 * Description of Video Annotation
*/

class YT_Video_Annotation {
    private $annID;
    private $videoID;
    private $annText;
    private $annTop;
    private $annLeft;
    private $annWidth;
    private $annHeight;
    private $annStart;
    private $annEnd;
    private $annFont;
    private $annColor;
    private $annBackground;
    private $annTrans_def;
    private $annTrans_act;
    private $annCloseButton;
    private $annLinkActive;
    private $annLink;
    private $annLinkOpen;
    private $annStatus;
    private $dateCreated;
    private $dateModified;


    private $_getters = array('annID','videoID', 'annText', 'annTop', 'annLeft', 'annWidth', 'annHeight', 'annStart', 'annEnd', 'annFont', 'annColor', 'annBackground','annTrans_def','annTrans_act', 'annCloseButton','annLinkActive',  'annLink', 'annLinkOpen', 'annStatus', 'dateCreated', 'dateModified');
    private $_setters = array('annID','videoID', 'annText', 'annTop', 'annLeft', 'annWidth', 'annHeight', 'annStart', 'annEnd', 'annFont', 'annColor', 'annBackground','annTrans_def','annTrans_act', 'annCloseButton', 'annLinkActive', 'annLink', 'annLinkOpen', 'annStatus', 'dateCreated', 'dateModified');

    public function __construct()
    {
        $this->annID          = 0;
        $this->videoID        = 0;
        $this->annText        = "this is demo text. replace it with your annotation text.";
        $this->annTop         = "-305";
        $this->annLeft        = "-488";
        $this->annWidth       = "280";
        $this->annHeight      = "140";
        $this->annStart       = "0";
        $this->annEnd         = "120";
        $this->annFont        = "13px";
        $this->annColor       = "rgb(255,255,255)";
        $this->annBackground  = "rgb(0,0,0)";
        $this->annTrans_def   = "0.6";
        $this->annTrans_act   = "0.9";
        $this->annCloseButton = 1;
        $this->annLinkActive  = 1;
        $this->annLink        = "";
        $this->annLinkOpen    = 1;
        $this->annStatus      = 1;
    }

    public function __get($property) {
        if (in_array($property, $this->_getters))
        {
            return $this->$property;
        }
        else if (method_exists($this, '_get_' . $property))
        {
            return call_user_func(array($this, '_get_' . $property));
        }
    }

    public function __set($property, $value) {
        if (in_array($property, $this->_setters))
        {
            $this->$property = $value;
        }
        else if (method_exists($this, '_set_' . $property))
        {
            call_user_func(array($this, '_set_' . $property), $value);
        }
    }

    /**
     * Function Insert Video Annotation
     */
    function ytInsertVideoAnnotation()
    {
        $result = "";
        global $wpdb;
        $tableName = $wpdb->prefix."yt_videos_annotation";
        if($this->videoID == "" || $this->annText == "")
        {
            $result = 0;
        }
        else
        {
            $wpdb->insert(
                $tableName,
                array(
                    'video_id'         =>      $this->videoID,
                    'ann_text'         =>      $this->annText,
                    'ann_top'          =>      $this->annTop,
                    'ann_left'         =>      $this->annLeft,
                    'ann_width'        =>      $this->annWidth,
                    'ann_height'       =>      $this->annHeight,
                    'ann_start'        =>      $this->annStart,
                    'ann_end'          =>      $this->annEnd,
                    'ann_font'         =>      $this->annFont,
                    'ann_color'        =>      $this->annColor,
                    'ann_background'   =>      $this->annBackground,
                    'ann_trans_def'    =>      $this->annTrans_def,
                    'ann_trans_act'    =>      $this->annTrans_act,
                    'ann_close_button' =>      $this->annCloseButton,
                    'ann_link_active'  =>      $this->annLinkActive,
                    'ann_link'         =>      $this->annLink,
                    'ann_link_open'    =>      $this->annLinkOpen,
                    'ann_status'       =>      $this->annStatus,
                    'date_created'     =>      $this->dateCreated, 
                    'date_modified'    =>      $this->dateModified
                ),
                array(
                    '%d',
                    '%s',
                    '%s',
                    '%s',
                    '%s',
                    '%s',
                    '%s',
                    '%s',
                    '%s',
                    '%s',
                    '%s',
                    '%s',
                    '%s',
                    '%d',
                    '%d',
                    '%s',
                    '%d',
                    '%d',
                    '%d',
                    '%d'
                )
            );
            $result = $wpdb->insert_id;
        }
        return $result;
    }

    /**
     * Function Update Video Annotaion
     */
    function ytUpdateVideoAnnotaion()
    {
        $result = "";
        global $wpdb;
        $tableName = $wpdb->prefix."yt_videos_annotation";
        if($this->annText == "")
        {
            $result = false;
        }
        else
        {
            $result = $wpdb->update(
                $tableName,
                array(
                    'video_id'         =>      $this->videoID,
                    'ann_text'         =>      $this->annText,
                    'ann_top'          =>      $this->annTop,
                    'ann_left'         =>      $this->annLeft,
                    'ann_width'        =>      $this->annWidth,
                    'ann_height'       =>      $this->annHeight,
                    'ann_start'        =>      $this->annStart,
                    'ann_end'          =>      $this->annEnd,
                    'ann_font'         =>      $this->annFont,
                    'ann_color'        =>      $this->annColor,
                    'ann_background'   =>      $this->annBackground,
                    'ann_trans_def'    =>      $this->annTrans_def,
                    'ann_trans_act'    =>      $this->annTrans_act,
                    'ann_close_button' =>      $this->annCloseButton,
                    'ann_link_active'  =>      $this->annLinkActive,
                    'ann_link'         =>      $this->annLink,
                    'ann_link_open'    =>      $this->annLinkOpen,
                    'ann_status'       =>      $this->annStatus,
                    'date_created'     =>      $this->dateCreated, 
                    'date_modified'    =>      $this->dateModified
                ),
                array('ann_id' => $this->annID),
                array(
                    '%d',
                    '%s',
                    '%s',
                    '%s',
                    '%s',
                    '%s',
                    '%s',
                    '%s',
                    '%s',
                    '%s',
                    '%s',
                    '%s',
                    '%s',
                    '%d',
                    '%d',
                    '%s',
                    '%d',
                    '%d',
                    '%d'
                ),
                array('%d')
            );
        }
        return $result;
    }

    /**
     * Function Delete Single Video Annotaion
     */
    function ytDeleteVideoAnnotaionByID()
    {
        $result = false;
        global $wpdb;
        $tableName = $wpdb->prefix."yt_videos_annotation";
        if($this->annID != 0)
        {
            $sql = "DELETE FROM $tableName WHERE ann_id = $this->annID";
            $result = $wpdb->query($sql);
        }
        return $result;
    }


    /**
     * Function Delete All Video Annotaion
     */
    function ytDeleteVideoAnnotaionByVideoID()
    {
        $result = false;
        global $wpdb;
        $tableName = $wpdb->prefix."yt_videos_annotation";
        if($this->videoID != 0)
        {
            $sql = "DELETE FROM $tableName WHERE video_id = $this->videoID";
            $result = $wpdb->query($sql);
        }
        return $result;
    }


    /**
     * Function: Get videos by videoID, catID, typeID, or all
     */
    public static function ytGetVideoAnnotations($args = null, $keyword = null)
    {
        global $wpdb;       
        $tableName1 = $wpdb->prefix."yt_videos_annotation";

        $v         = "";
        $sql       = "";
        $videoID   = (isset($args["videoID"])) ? $args["videoID"] : "0";       
        $isPublish = (isset($args["isPublish"])) ? $args["isPublish"] : null;
        $limitText = (isset($args["limitText"])) ? $args["limitText"] : null;

        $sql = "SELECT ann_id, video_id, ann_text, ann_top, ann_left, ann_width, ann_height, ann_start, ann_end, ann_font, ann_color, ann_background, ann_trans_def,ann_trans_act,ann_close_button, ann_link_active, ann_link, ann_link_open, ann_status, date_created, date_modified
            FROM $tableName1
            WHERE video_id = $videoID";

        if($videoID != 0)
        {
            $sql .= " AND $tableName1.video_id = $videoID";
        }

        if($isPublish != null)
        {
            $sql .= " AND $tableName1.video_status = $isPublish";
        }

        if($limitText != null)
        {
            $sql .= " $limitText";
        }

        $results = $wpdb->get_results($sql);
        return $results;
    }

    /**
     * Function: Get Single video annotation by ID
     */
    public function ytGetVideoAnnotaion($annID = 1)
    {
        global $wpdb;
        $tableName = $wpdb->prefix."yt_videos_annotation";
        $sql = "";
        if($annID != 0)
        {
            $sql = "SELECT ann_id, video_id, ann_text, ann_top, ann_left, ann_width, ann_height, ann_start, ann_end, ann_font, ann_color, ann_background, ann_trans_def, ann_trans_act, ann_close_button, ann_link_active, ann_link, ann_link_open, ann_status, date_created, date_modified
            FROM $tableName
            WHERE ann_id = $annID";
            $video = $wpdb->get_row($sql);

            $this->annID          = $video->ann_id;
            $this->videoID        = $video->video_id;
            $this->annText        = $video->ann_text;
            $this->annTop         = $video->ann_top;
            $this->annLeft        = $video->ann_left;
            $this->annWidth       = $video->ann_width;
            $this->annHeight      = $video->ann_height;
            $this->annStart       = $video->ann_start;
            $this->annEnd         = $video->ann_end;
            $this->annFont        = $video->ann_font;
            $this->annColor       = $video->ann_color;
            $this->annBackground  = $video->ann_background;
            $this->annTrans_def   = $video->ann_trans_def;
            $this->annTrans_act   = $video->ann_trans_act;
            $this->annCloseButton = $video->ann_close_button;
            $this->annLinkActive  = $video->ann_link_active;
            $this->annLink        = $video->ann_link;
            $this->annLinkOpen    = $video->ann_link_open;
            $this->annStatus      = $video->ann_status;
        }
        else
        {
            wp_die("Error function ytGetVideoAnnotaion : not found annID");
            exit;
        }
    }
}