<?php

/**
 * Description of Video
*/

class YT_VideoCat {
    private $videoCatID;
    private $videoCatTitle;

    private $_getters = array('videoCatID', 'videoCatTitle' );
    private $_setters = array('videoCatID', 'videoCatTitle' );

    public function __construct()
    {
        $this->videoCatID    = 0;
        $this->videoCatTitle = "";
    }

    public function __get($property) {
        if (in_array($property, $this->_getters))
        {
            return $this->$property;
        }
        else if (method_exists($this, '_get_' . $property))
        {
            return call_user_func(array($this, '_get_' . $property));
        }
    }

    public function __set($property, $value) {
        if (in_array($property, $this->_setters))
        {
            $this->$property = $value;
        }
        else if (method_exists($this, '_set_' . $property))
        {
            call_user_func(array($this, '_set_' . $property), $value);
        }
    }

    /**
     * Function Insert Video Cat
     */
    function ytInsertVideoCat()
    {
        $result = "";
        global $wpdb;
        $tableName = $wpdb->prefix."yt_videos_cat";
        if($this->videoCatTitle == "")
        {
            $result = 0;
        }
        else
        {
            $wpdb->insert(
                    $tableName,
                    array(
                        'video_cat_title'       =>  $this->videoCatTitle
                    ),
                    array(
                        '%s'
                    )
            );
            $result = $wpdb->insert_id;
        }
        return $result;
    }

    /**
     * Function Update Video Category
     */
    function ytUpdateVideoCat()
    {
        $result = "";
        global $wpdb;
        $tableName = $wpdb->prefix."yt_videos_cat";
        if($this->videoCatTitle == "")
        {
            $result = false;
        }
        else
        {
            $result = $wpdb->update(
                    $tableName,
                    array(
                        'video_cat_title' => $this->videoCatTitle
                    ),
                    array('video_cat_id' => $this->videoCatID),
                    array(
                        '%s'
                    ),
                    array('%d')
            );
        }
        return $result;
    }

    /**
     * Function Delete Video Category
     */
    function ytDeleteVideoCat()
    {
        $result = false;
        global $wpdb;
        $tableName = $wpdb->prefix."yt_videos_cat";
        if($this->videoCatID != 0)
        {
            $sql = "DELETE FROM $tableName WHERE video_cat_id = $this->videoCatID";
            $result = $wpdb->query($sql);
        }
        return $result;
    }

    /**
     * Function: Get all cats
     */
    public static function ytGetCats($catID = 0)
    {
        global $wpdb;
        $tableName = $wpdb->prefix."yt_videos_cat";
        $sql = "";
        if($catID == 0)
        {
            $sql = "SELECT video_cat_id, video_cat_title
            FROM $tableName";
        }
        else
        {
            $sql = "SELECT video_cat_id, video_cat_title
            FROM $tableName
            WHERE video_cat_id = $catID";
        }
        $sql .= " ORDER BY video_cat_title ASC";
        $results = $wpdb->get_results($sql);
        return $results;
    }

    /**
     * Function: Get cat by ID
     */
    public function ytGetCat($catID = 0)
    {
        global $wpdb;
        $tableName = $wpdb->prefix."yt_videos_cat";
        $sql = "";
        if($catID != 0)
        {
            $sql = "SELECT video_cat_id, video_cat_title
            FROM $tableName
            WHERE video_cat_id = $catID";
            $ytCat = $wpdb->get_row($sql);
            $this->videoCatID          = $ytCat->video_cat_id;
            $this->videoCatTitle       = $ytCat->video_cat_title;
        }
        else
        {
            wp_die("Error function ytGetCat : not found catID");
            exit;
        }
    }

    /**
     * Display List of Video Category
     */
    public static function ytDisplayListCat($catID = 0)
    {
        $listCat = YT_VideoCat::ytGetCats();
        $view = "";
        $view .= '<select name="vCat" class="input-xlarge">';
        foreach ($listCat as $cat) {
            if($catID == $cat->video_cat_id)
            {
                $view .= '<option value="'.$cat->video_cat_id.'" selected>'.$cat->video_cat_title.'</option>';
            }
            else
            {
                $view .= '<option value="'.$cat->video_cat_id.'">'.$cat->video_cat_title.'</option>';
            }

        }
        $view .= '</select>';
        return $view;
    }
}
