<?php 
/**
 * Create Table
 */


/**
 * Create table : yt_videos
 */
function yt_install_videos_table(){
	global $wpdb;
	$tableName = $wpdb->prefix."yt_videos";
	$sql = "CREATE TABLE IF NOT EXISTS $tableName (
	  `video_id` int(11) NOT NULL AUTO_INCREMENT,
	  `video_title` varchar(255) NOT NULL,
	  `video_link` varchar(255) NOT NULL,
	  `video_cat` int(11) NOT NULL DEFAULT '1',
	  `youtube_player_parameters` text NOT NULL,
	  `video_height` varchar(10) NOT NULL,
	  `video_width` varchar(10) NOT NULL,
	  `video_status` tinyint(4) NOT NULL DEFAULT '1',
	  `date_created` int(11) NOT NULL DEFAULT '0',
	  `date_modified` int(11) NOT NULL DEFAULT '0',
	  `user_id` int(11) NOT NULL DEFAULT '0',
	  PRIMARY KEY (`video_id`),
	  KEY `video_cat` (`video_cat`)
	) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
	);";

	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sql);
}


/**
 * Create table : yt_videos_annotation
 */
function yt_install_videos_annotation_table(){
	global $wpdb;
	$tableName = $wpdb->prefix."yt_videos_annotation";
	$sql = "CREATE TABLE IF NOT EXISTS $tableName (
	  `ann_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
	  `video_id` int(11) NOT NULL,
	  `ann_text` text NOT NULL,
	  `ann_top` varchar(20) NOT NULL,
	  `ann_left` varchar(20) NOT NULL,
	  `ann_width` varchar(20) NOT NULL,
	  `ann_height` varchar(20) NOT NULL,
	  `ann_start` varchar(10) NOT NULL,
	  `ann_end` varchar(10) NOT NULL,
	  `ann_font` varchar(50) NOT NULL,
	  `ann_color` varchar(50) NOT NULL,
	  `ann_background` varchar(50) NOT NULL,
	  `ann_trans_def` varchar(5) NOT NULL,
	  `ann_trans_act` varchar(5) NOT NULL,
	  `ann_close_button` tinyint(4) NOT NULL DEFAULT '1',
	  `ann_link_active` tinyint(4) NOT NULL DEFAULT '1',
	  `ann_link` varchar(255) NOT NULL,
	  `ann_link_open` tinyint(4) NOT NULL,
	  `ann_status` tinyint(4) NOT NULL DEFAULT '1',
	  `date_created` int(11) NOT NULL DEFAULT '0',
	  `date_modified` int(11) NOT NULL DEFAULT '0',
	  PRIMARY KEY (`ann_id`),
	  KEY `video_id` (`video_id`)
	) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
	);";

	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sql);
}

/**
 * Create table : yt_videos_cat
 */
function yt_install_videos_cat_table(){
	global $wpdb;
	$tableName = $wpdb->prefix."yt_videos_cat";
	$sql = "CREATE TABLE IF NOT EXISTS $tableName (
	video_cat_id int(11) NOT NULL AUTO_INCREMENT,
	video_cat_title varchar(255) NOT NULL,
	PRIMARY KEY (video_cat_id)
	) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
	);";

	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sql);
}

/**
 * Check if ID exists in tableName
 */
function yt_check_id_exists($tableName, $fieldID, $fieldValue )
{
	$check = true;
	global $wpdb;
	$id = $wpdb->get_var("SELECT $fieldID FROM $tableName WHERE $fieldID = $fieldValue;");
	if($id == null){
		$check = false;
	}
	return $check;
}

/**
 * Check if title exists in tableName
 */
function yt_check_title_exists($tableName, $fieldTitle, $fieldValue)
{
	$check = true;
	global $wpdb;
	$title = $wpdb->get_var("SELECT $fieldTitle FROM $tableName WHERE $fieldTitle like '$fieldValue';");
	if($title == null){
		$check = false;
	}
	return $check;
}

/**
 * Insert data into database: yt_videos_cat
 */
function yt_install_data_videos_cat_table(){
	global $wpdb;
	$tableName = $wpdb->prefix."yt_videos_cat";
	$cat_title = "Uncategorized";
	$firstID = yt_check_id_exists($tableName, "video_cat_id", 1);
	if($firstID == false)
	{
		$rows_affected = $wpdb->insert( $tableName, array( 'video_cat_title' => $cat_title ) );
	}
}

