<?php

/**
* Custom Menu Display
*/


/**
* Function to display the "edit video annotaion" page
*/

function yt_video_edit_annotation(){

    if( !session_id()){
        session_start();
    }

    $obj = new YT_Video_Annotation();

    if(isset($_SESSION['obj'])){
        $obj = unserialize($_SESSION['obj']);
    } ?>

    <div class="wrap">
        <?php screen_icon('edit') ?>
        <h2>Edit Video Player Settings & Manage Annotaions</h2> <hr>
        <?php

            if(isset($_GET) && isset($_GET["m"]))
            {
                $m = $_GET["m"];
                $msg = $_GET["msg"];
                yt_show_message($msg, $m);
            }

            $videoID = (isset($_GET['videoID'])) ? $_GET['videoID'] : 0;
            $v       = new YT_Video();

            if($videoID != 0)
            {
                $v->ytGetVideo($videoID);
            }
            else
            {
                wp_die("videoID not found");
            }

        ?>   

        <ul class="nav nav-tabs" id="thTab">
            <li class="active">
                <a href="#video_basic">Edit Video Player Settings</a>
            </li>
            <li>
                <a href="#annotation">Manage Annotation</a>
            </li>
        </ul>

        <div class="tab-content">
            <div class="tab-pane active" id="video_basic">
                <?php yt_video_edit(); ?>
            </div>
            <div class="tab-pane" id="annotation">
                <h2> Video Annotation Manager </h2> 
                <?php

                    global $current_user;
                    get_currentuserinfo();
                    $currentUserID = $current_user->ID;

                    $args = array(
                        'videoID'       => $videoID, 
                        'isPublish'     => 1, 
                        'currentUserID' => $currentUserID
                    );

                    $video = YT_Video::ytGetVideos($args);
                    $videoWidth = '640';
                    $videoHeight = '385';

                    if($video)
                    {
                        $vShow = "";
                        foreach ($video as $vid)
                        {
                            $vShow['videoTitle'] = $vid->video_title;
                            $linkEmbed = ytGetYoutubeEmbedLink($vid->video_link);
                            $vShow['videoFrame'] = '<iframe width="'.$videoWidth.'" height="'.$videoHeight.'" src="'.$linkEmbed.'" frameborder="0" allowfullscreen></iframe>';
                        }
                                
                        $view = ytTemplateVideoItem($vShow);
                    }
                    else
                    {
                        $view = "No Video ID found";
                    }
                ?>

                <br>

                <div class="row-fluid">
                    <div class="span13">
                        <div id="player_container_yt">
                            <div id="player" name="NewFlashMovie"></div>
                        </div>
                        <?php yt_video_annotation_manage($videoID); ?>
                    </div>
                    <div class="span11">
                        <ul class="nav nav-tabs" id="thTab3">
                            <li class="active">
                                <a href="#addAnnotation">Add Annotation</a>
                            </li>
                            <?php if(isset($_GET) && isset($_GET['modd']) && isset($_GET['modd']) == 'edit'){ ?>
                                <li>
                                    <a href="#editAnnotation">Edit Annotation</a>
                                </li>
                            <?php } ?>
                        </ul>

                        <div class="tab-content">
                            <div class="tab-pane active" id="addAnnotation" style="width: 500px;">
                                <form id="addVideoAnnotationForm" method="POST" action="" class="form-horizontal">
                                    <input type="hidden" name="vID" value="<?php echo $_GET['videoID']; ?>">
                                    <?php $currentUser = wp_get_current_user(); ?>
                                    <input type="hidden" name="vUserID" value="<?php echo $currentUser->ID; ?>">
                                    <input type="hidden" id="vaTop-add" value="<?php echo $obj->annTop; ?>" name="vaTop">
                                    <input type="hidden" id="vaLeft-add" value="<?php echo $obj->annLeft; ?>" name="vaLeft">
                                    
                                    <div class="control-group">
                                        <label class="control-label" for="time-interval">Time Range</label>
                                        <div class="controls">
                                            <input type="hidden" id="vaStart-add" name="vaStart" value="<?php echo $obj->annStart; ?>">
                                            <input type="hidden" id="vaEnd-add" name="vaEnd" value="<?php echo $obj->annEnd; ?>">
                                            Start: 
                                            <span id="time-interval-add1" class="label label-info">
                                                <?php echo $obj->annStart; ?>
                                            </span> 
                                            End: 
                                            <span id="time-interval-add2" class="label label-info">
                                                <?php echo $obj->annEnd; ?>
                                            </span>
                                            <div id="slider-range-add" style="margin-left: 7px; margin-top: 10px;"></div>
                                        </div>
                                    </div>

                                    <div class="control-group">
                                        <label class="control-label" for="time-interval">Text</label>
                                        <div class="controls">
                                            <textarea rows="3" class="input-xlarge" id="vaText-add" name="vaText" style="height:auto;width: 319px;"><?php echo $obj->annText; ?></textarea>
                                        </div>
                                    </div>

                                    <div class="control-group">
                                        <label class="control-label" for="font-size-add">Font Size</label>
                                        <div class="controls">
                                            <input type="hidden" id="font-size-add" name="vaFont" value="<?php echo $obj->annFont; ?>">
                                            <div id="slider-range-font-add" style="margin-left: 7px; margin-top: 9px;"></div>
                                        </div>
                                    </div>

                                    <div class="control-group" style="position:relative;">
                                        <label class="control-label" for="time-interval">Text Color</label>
                                        <div class="controls">
                                            <div class="input-append color" data-color="<?php echo $obj->annColor; ?>" data-color-format="rgb" id="text-color-add">
                                                <input type="text" id="vaColor-add" name="vaColor" class="input-xlarge" value="<?php echo $obj->annColor; ?>" readonly>
                                                <span class="add-on"><i style="background-color: <?php echo $obj->annColor; ?>"></i> </span> 
                                            </div>
                                        </div>
                                    </div>

                                    <div class="control-group">
                                        <label class="control-label" for="time-interval">Background Color</label>
                                        <div class="controls">
                                            <div class="input-append color" data-color="<?php echo $obj->annBackground; ?>" data-color-format="rgb" id="background-color-add">
                                                <input type="text" name="vaBackground" id="vaBackground-add" class="input-xlarge" value="<?php echo $obj->annBackground; ?>" readonly>
                                                <span class="add-on"><i style="background-color: <?php echo $obj->annBackground; ?>"></i> </span> 
                                            </div>
                                        </div>
                                    </div>

                                    <div class="control-group">
                                        <label class="control-label" for="font-size">Default Transparency</label>
                                        <div class="controls">
                                            <input type="hidden" id="trans-default-add" name="vaTrans_def" value="<?php echo $obj->annTrans_def; ?>">
                                            <div id="slider-range-opacity-add1" style="margin-left: 7px; margin-top: 9px; width: 265px;"></div>
                                        </div>
                                    </div>

                                    <div class="control-group">
                                        <label class="control-label" for="font-size">Active Transparency</label>
                                        <div class="controls">
                                            <input type="hidden" id="trans-active-add" name="vaTrans_act" value="<?php echo $obj->annTrans_act; ?>">
                                            <div id="slider-range-opacity-add2" style="margin-left: 7px; margin-top: 9px; width: 265px;"></div>
                                        </div>
                                    </div>

                                    
                                    <div class="control-group">
                                        <label class="control-label" for="vaWidth">Width</label>
                                        <div class="controls">
                                            <input type="text" id="vaWidth-add" placeholder="Width" value="<?php echo $obj->annWidth ?>" name="vaWidth" class="input-xlarge">
                                        </div>
                                    </div>

                                    <div class="control-group">
                                        <label class="control-label" for="">Show Close Button</label>
                                        <div class="controls">
                                            <?php
                                                $annLinkActive_class = '';
                                                $annLinkInactive_class= '';
                                                $hideLinkOption = 'block';
                                                
                                                $active_class = 'active';
                                                if($obj->annCloseButton == 0){
                                                    $annLinkInactive_class =  $active_class;
                                                    $hideLinkOption = 'none';
                                                }
                                                elseif($obj->annCloseButton == 1){
                                                    $annLinkActive_class =  $active_class;
                                                }                             
                                            ?>
                                            <input type="hidden" name="vaCloseButton" value="<?php echo $obj->annCloseButton; ?>" id="btn-close-en-add">
                                            <div class="btn-group" data-toggle="buttons-radio">
                                                <button id="btn-one-ec-add" type="button" data-toggle="button" name="option" value="1" class="btn btn-primary <?php echo $annLinkActive_class; ?>">Yes</button>
                                                <button id="btn-two-ec-add" type="button" data-toggle="button" name="option" value="0" class="btn btn-primary <?php echo $annLinkInactive_class; ?>">No</button>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="control-group">
                                        <label class="control-label" for="">Enable Link</label>
                                        <div class="controls">
                                            <?php
                                                $annLinkActive_class = '';
                                                $annLinkInactive_class= '';
                                                $hideLinkOption = 'block';
                                                
                                                $active_class = 'active';
                                                if($obj->annLinkActive == 0){
                                                    $annLinkInactive_class =  $active_class;
                                                    $hideLinkOption = 'none';
                                                }
                                                elseif($obj->annLinkActive == 1){
                                                    $annLinkActive_class =  $active_class;
                                                }                              
                                            ?>
                                            <input type="hidden" name="vaLinkActive" value="<?php echo $obj->annLinkActive; ?>" id="btn-input-el-add">
                                            <div class="btn-group" data-toggle="buttons-radio">
                                                <button id="btn-one-el-add" type="button" data-toggle="button" name="option" value="1" class="btn btn-primary <?php echo $annLinkActive_class; ?>">Yes</button>
                                                <button id="btn-two-el-add" type="button" data-toggle="button" name="option" value="0" class="btn btn-primary <?php echo $annLinkInactive_class; ?>">No</button>
                                            </div>
                                        </div>
                                    </div>

                                    <div id="showForLink-add" style="display:<?php echo $hideLinkOption; ?>;">
                                        <div class="control-group">
                                            <label class="control-label" for="">Open link In New Window</label>
                                            <div class="controls">
                                                <?php
                                                    $annLinkOpenOther_class = '';
                                                    $annLinkOpenSame_class= '';
                                                    
                                                    $active_class = 'active';
                                                    if($obj->annLinkOpen == 0){
                                                        $annLinkOpenSame_class =  $active_class;
                                                        
                                                    }
                                                    else if($obj->annLinkOpen == 1){
                                                        $annLinkOpenOther_class =  $active_class;
                                                    }                                
                                                ?>
                                                <input type="hidden" name="vaOpenNew" value="<?php echo $obj->annLinkOpen; ?>" id="btn-input-nw-add">
                                                <div class="btn-group" data-toggle="buttons-radio">
                                                    <button id="btn-one-nw-add" type="button" data-toggle="button" name="option" value="1" class="btn btn-primary <?php echo $annLinkOpenOther_class; ?>">Yes</button>
                                                    <button id="btn-two-nw-add" type="button" data-toggle="button" name="option" value="0" class="btn btn-primary <?php echo $annLinkOpenSame_class; ?>">No</button>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="control-group">
                                            <label class="control-label" for="vaLink">Link</label>
                                            <div class="controls">
                                                <input type="text" id="vaLink" name="vaLink" placeholder="Link" value="<?php echo $obj->annLink; ?>" class="input-xlarge">
                                            </div>
                                        </div>
                                    </div>

                                    <div class="control-group">
                                        <label class="control-label" for="">Annotation Status</label>
                                        <div class="controls">
                                            <?php
                                                $annStatusActive_class = '';
                                                $annStatusInactive_class= '';
                                                
                                                $active_class = 'active';
                                                if($obj->annStatus == 0){
                                                    $annStatusInactive_class =  $active_class;
                                                    
                                                }
                                                else if($obj->annStatus == 1){
                                                    $annStatusActive_class =  $active_class;
                                                }
                                                                                
                                            ?>
                                            <input type="hidden" name="vaStatus" value="<?php echo $obj->annStatus ?>" id="btn-input-status-add">
                                            <div class="btn-group" data-toggle="buttons-radio">
                                                <button id="btn-one-status-add" type="button" data-toggle="button" name="option" value="1" class="btn btn-primary <?php echo $annStatusActive_class; ?>">Active</button>
                                                <button id="btn-two-status-add" type="button" data-toggle="button" name="option" value="0" class="btn btn-primary <?php echo $annStatusInactive_class; ?>">Inactive</button>
                                            </div>
                                        </div>
                                    </div>
                                    
                                    <div class="control-group">
                                        <div class="controls">
                                            <input type="submit" name="ytAddVideoAnnotation" value="Add Annotation" class="btn btn-primary">
                                        </div>
                                    </div>
                                </form>
                            </div>

                            <?php 
                                if(isset($_GET) && isset($_GET['modd']) && isset($_GET['modd']) == 'edit'){

                                    $va = new YT_Video_Annotation();
                                    $va_id = (isset($_GET['annID'])) ? $_GET['annID'] : 0;
                                    $va->ytGetVideoAnnotaion( $va_id ); ?>
                            
                            
                                    <div class="tab-pane" id="editAnnotation" style="width: 500px;">
                                        <form id="editVideoAnnotationForm" method="POST" action="" class="form-horizontal">

                                            <input type="hidden" name="vID" value="<?php echo $va->videoID; ?>">
                                            <input type="hidden" name="vaID" value="<?php echo $va->annID; ?>">
                                            <input type="hidden" id="vaTop-edit" value="<?php echo $va->annTop; ?>" name="vaTop">
                                            <input type="hidden" id="vaLeft-edit" value="<?php echo $va->annLeft ?>" name="vaLeft">

                                            <?php $currentUser = wp_get_current_user(); ?>

                                            <input type="hidden" name="vUserID" value="<?php echo $currentUser->ID; ?>">

                                            <div class="control-group">
                                                <label class="control-label" for="time-interval">Time Range</label>
                                                <div class="controls">
                                                    <input type="hidden" id="vaStart-edit" name="vaStart" value="<?php echo $va->annStart; ?>">
                                                    <input type="hidden" id="vaEnd-edit" name="vaEnd" value="<?php echo $va->annEnd; ?>">
                                                    Start: <span id="time-interval-edit1" class="label label-info"><?php echo $va->annStart; ?></span> 
                                                    End: <span id="time-interval-edit2" class="label label-info"><?php echo $va->annEnd; ?></span>
                                                    <div id="slider-range-edit" style="margin-left: 7px; margin-top: 10px;"></div>
                                                </div>
                                            </div>

                                            <div class="control-group">
                                                <label class="control-label" for="time-interval">Text</label>
                                                <div class="controls">
                                                    <textarea rows="3" class="input-xlarge" id="vaText-edit" name="vaText" style="height:auto;width: 319px;"><?php echo $va->annText; ?></textarea>
                                                </div>
                                            </div>

                                            <div class="control-group">
                                                <label class="control-label" for="font-size-edit">Text Size</label>
                                                <div class="controls">
                                                    <input type="hidden" id="font-size-edit" name="vaFont"  value="<?php echo $va->annFont; ?>" >
                                                    <div id="slider-range-font-edit" style="margin-left: 7px; margin-top: 9px;"></div>
                                                </div>
                                            </div>

                                            <div class="control-group" style="position:relative;">
                                                <label class="control-label" for="time-interval">Text Color</label>

                                                <div class="controls">
                                                    <div class="input-append color" data-color="<?php echo $va->annColor ?>" data-color-format="rgb" id="text-color-edit">
                                                        <input type="text" id="vaColor-edit" name="vaColor" class="input-xlarge" value="<?php echo $va->annColor ?>" readonly>
                                                        <span class="add-on"><i style="background-color: <?php echo $va->annColor; ?>"></i> </span>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="control-group">
                                                <label class="control-label" for="time-interval">Background Color</label>
                                                <div class="controls">
                                                    <div class="input-append color" data-color="<?php echo $va->annBackground; ?>" data-color-format="rgb" id="background-color-edit">
                                                        <input type="text" name="vaBackground" id="vaBackground-edit" class="input-xlarge" value="<?php echo $va->annBackground; ?>" readonly>
                                                        <span class="add-on"><i style="background-color: <?php echo $va->annBackground; ?>"></i> </span> 
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="control-group">
                                                <label class="control-label" for="font-size">Default Transparency</label>
                                                <div class="controls">
                                                    <input type="hidden" id="trans-default-edit" name="vaTrans_def" value="<?php echo $va->annTrans_def; ?>">
                                                    <div id="slider-range-opacity-edit1" style="margin-left: 7px; margin-top: 9px; width: 265px;"></div>
                                                </div>
                                            </div>

                                            <div class="control-group">
                                                <label class="control-label" for="font-size">Active Transparency</label>
                                                <div class="controls">
                                                    <input type="hidden" id="trans-active-edit" name="vaTrans_act" value="<?php echo $va->annTrans_act; ?>">
                                                    <div id="slider-range-opacity-edit2" style="margin-left: 7px; margin-top: 9px; width: 265px;"></div>
                                                </div>
                                            </div>

                                            <div class="control-group">
                                                <label class="control-label" for="vaWidth">Width</label>
                                                <div class="controls">
                                                    <input type="text" id="vaWidth-edit" placeholder="Width" value="<?php echo $va->annWidth ?>" name="vaWidth" class="input-xlarge">
                                                </div>
                                            </div>

                                            <div class="control-group">
                                                <label class="control-label" for="">Show Close Button</label>
                                                <div class="controls">
                                                    <?php
                                                        $annLinkActive_class = '';
                                                        $annLinkInactive_class= '';
                                                        $hideLinkOption = 'block';
                                                        
                                                        $active_class = 'active';
                                                        if($va->annCloseButton == 0){
                                                            $annLinkInactive_class =  $active_class;
                                                            $hideLinkOption = 'none';
                                                        }
                                                        else if($va->annCloseButton == 1){
                                                            $annLinkActive_class =  $active_class;
                                                        }                              
                                                    ?>
                                                    <input type="hidden" name="vaCloseButton" value="<?php echo $va->annCloseButton; ?>" id="btn-close-en-edit">
                                                    <div class="btn-group" data-toggle="buttons-radio">
                                                        <button id="btn-one-ec-edit" type="button" data-toggle="button" name="option" value="1" class="btn btn-primary <?php echo $annLinkActive_class; ?>">Yes</button>
                                                        <button id="btn-two-ec-edit" type="button" data-toggle="button" name="option" value="0" class="btn btn-primary <?php echo $annLinkInactive_class; ?>">No</button>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="control-group">
                                                <label class="control-label" for="">Enable Link</label>
                                                <div class="controls">
                                                    <?php
                                                        $annLinkActive_class = '';
                                                        $annLinkInactive_class= '';
                                                        $hideLinkOption = 'block';
                                                        
                                                        $active_class = 'active';
                                                        if($va->annLinkActive == 0){
                                                            $annLinkInactive_class =  $active_class;
                                                            $hideLinkOption = 'none';
                                                        }
                                                        elseif($va->annLinkActive == 1){
                                                            $annLinkActive_class =  $active_class;
                                                        }
                                                                                        
                                                    ?>
                                                    <input type="hidden" name="vaLinkActive" value="<?php echo $va->annLinkActive; ?>" id="btn-input-el-edit">
                                                    <div class="btn-group" data-toggle="buttons-radio">
                                                        <button id="btn-one-el-edit" type="button" data-toggle="button" name="option" value="1" class="btn btn-primary <?php echo $annLinkActive_class; ?>">Yes</button>
                                                        <button id="btn-two-el-edit" type="button" data-toggle="button" name="option" value="0" class="btn btn-primary <?php echo $annLinkInactive_class; ?>">No</button>
                                                    </div>
                                                </div>
                                            </div>

                                            <div id="showForLink-edit" style="display:<?php echo $hideLinkOption; ?>;">
                                                <div class="control-group">
                                                    <label class="control-label" for="">Open link In New Window</label>
                                                    <div class="controls">
                                                        <?php
                                                            $annLinkOpenOther_class = '';
                                                            $annLinkOpenSame_class= '';
                                                            
                                                            $active_class = 'active';
                                                            if($va->annLinkOpen == 0){
                                                                $annLinkOpenSame_class =  $active_class;
                                                                
                                                            }
                                                            else if($va->annLinkOpen == 1){
                                                                $annLinkOpenOther_class =  $active_class;
                                                            }                              
                                                        ?>
                                                        <input type="hidden" name="vaOpenNew" value="<?php echo $va->annLinkOpen; ?>" id="btn-input-nw-edit">
                                                        <div class="btn-group" data-toggle="buttons-radio">
                                                            <button id="btn-one-nw-edit" type="button" data-toggle="button" name="option" value="1" class="btn btn-primary <?php echo $annLinkOpenOther_class; ?>">Yes</button>
                                                            <button id="btn-two-nw-edit" type="button" data-toggle="button" name="option" value="0" class="btn btn-primary <?php echo $annLinkOpenSame_class; ?>">No</button>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="control-group">
                                                    <label class="control-label" for="vaLink">Link</label>
                                                    <div class="controls">
                                                        <input type="text" id="vaLink" name="vaLink" placeholder="Link" value="<?php echo $va->annLink; ?>" class="input-xlarge">
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="control-group">
                                                <label class="control-label" for="">Annotation Status</label>
                                                <div class="controls">
                                                    <?php
                                                        $annStatusActive_class = '';
                                                        $annStatusInactive_class= '';
                                                        
                                                        $active_class = 'active';
                                                        if($va->annStatus == 0){
                                                            $annStatusInactive_class =  $active_class;
                                                            
                                                        }
                                                        else if($va->annStatus == 1){
                                                            $annStatusActive_class =  $active_class;
                                                        }                              
                                                    ?>
                                                    <input type="hidden" name="vaStatus" value="<?php echo $va->annStatus; ?>" id="btn-input-status-edit">
                                                    <div class="btn-group" data-toggle="buttons-radio">
                                                        <button id="btn-one-status-edit" type="button" data-toggle="button" name="option" value="1" class="btn btn-primary <?php echo $annStatusActive_class; ?>">Active</button>
                                                        <button id="btn-two-status-edit" type="button" data-toggle="button" name="option" value="0" class="btn btn-primary <?php echo $annStatusInactive_class; ?>">Inactive</button>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="control-group">
                                                <div class="controls">
                                                    <input type="submit" name="ytEditVideoAnnotation" value="Submit" class="btn btn-primary">
                                                </div>
                                            </div>
                                        </form>
                                    </div> <?php 
                                } 
                            ?>
                        </div>
                    </div>
                </div>
            </div>

            <style type="text/css">
                #player_container_yt {
                    height: <?php echo $videoHeight; ?>px;
                    width: <?php echo $videoWidth; ?>px;
                }
                .opentip-container {
                    max-width: 180px;
                }
                .opentip-container canvas {
                    width: 100% !important;
                    height: 100% !important;
                }
            </style> 
            
            <script type="text/javascript">
            
                var yt_global_settings = {
                    maxWidth: '640px',
                    maxHeight: '385px',
                    mod: 'add'
                };

                function repositionTooltip(e, ui) {
                    var div = jQuery(ui.handle).data("tooltip").$tip[0];
                    var pos = jQuery.extend({}, jQuery(ui.handle).offset(), {
                        width: jQuery(ui.handle).get(0).offsetWidth,
                        height: jQuery(ui.handle).get(0).offsetHeight
                    });
                    var actualWidth = div.offsetWidth;
                    tp = {
                        left: pos.left + pos.width / 2 - actualWidth / 2
                    }
                    jQuery(div).offset(tp);
                    jQuery(div).find(".tooltip-inner").text(ui.value);
                }

                function customAnn() {
                    Opentip.styles.glass = {
                        className: "style-glass",
                        target: true,
                        shadow: false,
                        stem: false,
                        borderRadius: 0,
                        borderWidth: 0,
                        background: jQuery('#vaBackground-' + yt_global_settings.mod).val()
                    };

                    if (typeof Anno !== "undefined") {
                        Anno.deactivate();
                    }

                    Anno = new Opentip(jQuery('#player_container_yt'), jQuery('#vaText-' + yt_global_settings.mod).val(), {
                        style: "glass",
                        target: '#player_container_yt',
                        hideTrigger: null,
                        fixed: true,
                        tipJoint: 'top left',
                        showOn: null,
                        hideOn: null,
                        autoOffset: false,
                        containInViewport: false,
                        offset: [parseInt(jQuery('#vaLeft-' + yt_global_settings.mod).val()), parseInt(jQuery('#vaTop-' + yt_global_settings.mod).val())],
                        closeButtonOffset: [-8, -8],
                        closeButtonCrossColor: 'rgba(0, 0, 0, 0)'
                    });

                    Anno.show();
                    tooltipValue();
                    annStyle();
                }

                function tooltipValue() {
                    orignalLeft = parseInt(jQuery("#opentip-" + Anno.id).position().left);
                    orignalTop = parseInt(jQuery("#opentip-" + Anno.id).position().top);
                    offsetLeft = Anno.options.offset[0];
                    offsetTop = Anno.options.offset[1];

                    jQuery("#opentip-" + Anno.id).draggable({
                        iframeFix: true,
                        refreshPositions: true,
                        containment: "#player_container_yt",
                        scroll: false,
                        stop: function (event, ui) {
                            jQuery('#vaLeft-' + yt_global_settings.mod).val(parseInt(jQuery("#opentip-" + Anno.id).position().left) - orignalLeft + offsetLeft);
                            jQuery('#vaTop-' + yt_global_settings.mod).val(parseInt(jQuery("#opentip-" + Anno.id).position().top) - orignalTop + offsetTop);
                            customAnn();
                        }
                    });

                    jQuery(".opentip-container .opentip").css('cursor', 'pointer');
                    jQuery("#opentip-" + Anno.id).css('cursor', 'pointer');
                }

                function annStyle() {
                    jQuery('#opentip-' + Anno.id).css('max-width', parseInt(jQuery('#vaWidth-' + yt_global_settings.mod).val())+'px');
                    jQuery('#opentip-' + Anno.id).css('width', parseInt(jQuery('#vaWidth-' + yt_global_settings.mod).val())+'px');
                    jQuery('#opentip-' + Anno.id + ' .opentip').css('font-size', jQuery('#font-size-' + yt_global_settings.mod).val());
                    jQuery("#opentip-" + Anno.id + ' canvas').css('opacity', jQuery('#trans-default-' + yt_global_settings.mod).val());
                    jQuery("#opentip-" + Anno.id + ' .ot-content').css('color', jQuery('#vaColor-' + yt_global_settings.mod).val());

                    jQuery("#opentip-" + Anno.id).mouseenter(function () {
                        jQuery(this).find('canvas').stop().animate({
                            opacity: jQuery("#slider-range-opacity-" + yt_global_settings.mod + "2").slider("value")
                        }, 100 );
                    });
                    jQuery("#opentip-" + Anno.id).mouseleave(function () {
                        jQuery(this).find('canvas').stop().animate({
                            opacity: jQuery("#slider-range-opacity-" + yt_global_settings.mod + "1").slider("value")
                        }, 100 );
                    });
                }

                function opacityActive(event, ui) {
                    repositionTooltip(event, ui);
                    jQuery('#trans-active-' + yt_global_settings.mod).val(jQuery('#slider-range-opacity-' + yt_global_settings.mod + '2').slider("value"));
                }

                function opacityDefault(event, ui) {
                    repositionTooltip(event, ui);
                    jQuery('#trans-default-' + yt_global_settings.mod).val(jQuery('#slider-range-opacity-' + yt_global_settings.mod + '1').slider("value"));
                }

                jQuery.noConflict();

                jQuery(window).bind("load", function() {

                    jQuery('#thTab a:last').tab('show');

                    jQuery('#thTab a').click(function (e) {
                        e.preventDefault();
                        jQuery(this).tab('show');
                    })

                    jQuery('#thTab a:first').click(function (e) {
                        jQuery("#opentip-" + Anno.id).css('display', 'none');
                        Anno.hide();
                    })

                    jQuery('#thTab a:last').click(function (e) {
                        customAnn();
                    })

                    jQuery('#thTab3 a').click(function (e) {
                        e.preventDefault();
                        jQuery(this).tab('show');
                    })

                    jQuery('#thTab3 a:first').click(function (e) {
                        yt_global_settings.mod = 'add';
                        customAnn();
                    })

                    jQuery('#thTab3 a:last').click(function (e) {
                        yt_global_settings.mod = 'edit';
                        customAnn();
                    })

                    jQuery('.alert .close').click(function (e) {
                        customAnn();
                    })

                    <?php
                    if (isset($_GET) && isset($_GET['modd']) && isset($_GET['modd']) == 'edit') { ?>
                        yt_global_settings.mod = 'edit';

                        jQuery('#thTab3 a:last').tab('show');
     
                        var btns_el = ['#btn-one-el-edit', '#btn-two-el-edit'];

                        for (var i = 0; i < btns_el.length; i++) {
                            jQuery(btns_el[i]).bind('click', function () {
                                jQuery('#btn-input-el-edit').val(jQuery(this).val());
                            });

                            if (i < 1) {
                                jQuery(btns_el[i]).bind('click', function () {
                                    jQuery('#showForLink-edit').show(500);
                                });
                            } else if (i = 1) {
                                jQuery(btns_el[i]).bind('click', function () {
                                    jQuery('#showForLink-edit').hide(500);
                                });
                            }
                        }
     
                        var btns_ec = ['#btn-one-ec-edit', '#btn-two-ec-edit'];

                        for (var i = 0; i < btns_ec.length; i++) {
                            jQuery(btns_ec[i]).bind('click', function () {
                                jQuery('#btn-close-en-edit').val(jQuery(this).val());
                            });
                        }
     
                        var btns_nw = ['#btn-one-nw-edit', '#btn-two-nw-edit'];

                        for (var i = 0; i < btns_nw.length; i++) {
                            jQuery(btns_nw[i]).bind('click', function () {
                                jQuery('#btn-input-nw-edit').val(jQuery(this).val());
                            });
                        }
   
                        var btns_status = ['#btn-one-status-edit', '#btn-two-status-edit'];

                        for (var i = 0; i < btns_status.length; i++) {
                            jQuery(btns_status[i]).bind('click', function () {
                                jQuery('#btn-input-status-edit').val(jQuery(this).val());
                            });
                        }

                        btns_pos = null;
                        btns_el = null;
                        btns_ec = null;
                        btns_nw = null;
                        btns_status = null;

                        jQuery("#slider-range-font-edit").slider({
                            range: false,
                            min: 1,
                            max: 50,
                            step: 1,
                            value: parseInt('<?php echo $va->annFont; ?>'),
                            slide: function (event, ui) {
                                setSizeOfFontEdit(event, ui);
                            },
                            start: function (event, ui) {
                                setSizeOfFontEdit(event, ui);
                            },
                            stop: function (event, ui) {
                                setSizeOfFontEdit(event, ui);
                            }
                        });

                        jQuery("#slider-range-font-edit .ui-slider-handle:first").tooltip({
                            title: jQuery("#slider-range-font-edit").slider("value"),
                            trigger: "manual"
                        }).tooltip("show");

                        function setSizeOfFontEdit(event, ui) {
                            repositionTooltip(event, ui);
                            var val0 = jQuery("#slider-range-font-edit").slider("value");
                            jQuery("#font-size-edit").val(val0 + 'px');
                        }

                        var transInit = 1;
                        if (jQuery('#trans-default-edit').val() == '') {
                            transInit = 1;
                        } else {
                            transInit = jQuery('#trans-default-edit').val();
                        }

                        jQuery("#slider-range-opacity-edit1").slider({
                            range: false,
                            min: 0,
                            max: 1,
                            step: 0.1,
                            value: transInit,
                            slide: function (event, ui) {
                                opacityDefault(event, ui);
                            },
                            stop: function (event, ui) {
                                opacityDefault(event, ui);
                            }
                        });

                        jQuery("#slider-range-opacity-edit1 .ui-slider-handle:first").tooltip({
                            title: jQuery("#slider-range-opacity-edit1").slider("value"),
                            trigger: "manual"
                        }).tooltip("show");
     
                        var transInit2 = 1;
                        if (jQuery('#trans-active-edit').val() == '') {
                            transInit2 = 1;
                        } else {
                            transInit2 = jQuery('#trans-active-edit').val();
                        }

                        jQuery("#slider-range-opacity-edit2").slider({
                            range: false,
                            min: 0,
                            max: 1,
                            step: 0.1,
                            value: transInit2,
                            slide: function (event, ui) {
                                opacityActive(event, ui);
                            },
                            stop: function (event, ui) {
                                opacityActive(event, ui);
                            }
                        });

                        jQuery("#slider-range-opacity-edit2 .ui-slider-handle:first").tooltip({
                            title: jQuery("#slider-range-opacity-edit2").slider("value"),
                            trigger: "manual"
                        }).tooltip("show");

                        jQuery('#background-color-edit').colorpicker().on('changeColor');

                        jQuery('#text-color-edit').colorpicker().on('changeColor');                        
      
                        jQuery('#vaText-edit').keyup(function () {
                            jQuery('.opentip-container .ot-content').html(jQuery('#vaText-edit').val());
                        }); <?php
                    } ?>

                    yt_global_settings.mod = 'add';

                    jQuery('#thTab3 a:first').tab('show');
     
                    var btns_el = ['#btn-one-el-add', '#btn-two-el-add'];

                    for (var i = 0; i < btns_el.length; i++) {
                        jQuery(btns_el[i]).bind('click', function () {
                            jQuery('#btn-input-el-add').val(jQuery(this).val());
                        });

                        if (i < 1) {
                            jQuery(btns_el[i]).bind('click', function () {
                                jQuery('#showForLink-add').show(500);
                            });
                        } else if (i = 1) {
                            jQuery(btns_el[i]).bind('click', function () {
                                jQuery('#showForLink-add').hide(500);
                            });
                        }
                    }
  
                    var btns_ec = ['#btn-one-ec-add', '#btn-two-ec-add'];

                    for (var i = 0; i < btns_ec.length; i++) {
                        jQuery(btns_ec[i]).bind('click', function () {
                            jQuery('#btn-close-en-add').val(jQuery(this).val());
                        });
                    }
     
                    var btns_nw = ['#btn-one-nw-add', '#btn-two-nw-add'];

                    for (var i = 0; i < btns_nw.length; i++) {
                        jQuery(btns_nw[i]).bind('click', function () {
                            jQuery('#btn-input-nw-add').val(jQuery(this).val());
                        });
                    }
   
                    var btns_status = ['#btn-one-status-add', '#btn-two-status-add'];

                    for (var i = 0; i < btns_status.length; i++) {
                        jQuery(btns_status[i]).bind('click', function () {
                            jQuery('#btn-input-status-add').val(jQuery(this).val());
                        });
                    }

                    btns_pos = null;
                    btns_el = null;
                    btns_ec = null;
                    btns_nw = null;
                    btns_status = null;

                    jQuery("#slider-range-font-add").slider({
                        range: false,
                        min: 1,
                        max: 50,
                        value: parseInt('<?php echo $obj->annFont; ?>'),
                        slide: function (event, ui) {
                            setSizeOfFontAdd(event, ui);
                        },
                        start: function (event, ui) {
                            setSizeOfFontAdd(event, ui);
                        },
                        stop: function (event, ui) {
                            setSizeOfFontAdd(event, ui);
                        }
                    });

                    jQuery("#slider-range-font-add .ui-slider-handle:first").tooltip({
                        title: jQuery("#slider-range-font-add").slider("value"),
                        trigger: "manual"
                    }).tooltip("show");

                    function setSizeOfFontAdd(event, ui) {
                        repositionTooltip(event, ui);
                        var val0 = jQuery("#slider-range-font-add").slider("value");
                        jQuery("#font-size-add").val(val0 + 'px');
                        jQuery("#preview-annotation-add").css('font-size', val0 + 'px');
                    }

                    var transInit = 1;
                    if (jQuery('#trans-default-add').val() == '') {
                        transInit = 1;
                    } else {
                        transInit = jQuery('#trans-default-add').val();
                    }

                    jQuery("#slider-range-opacity-add1").slider({
                        range: false,
                        min: 0,
                        max: 1,
                        step: 0.1,
                        value: transInit,
                        slide: function (event, ui) {
                            opacityDefault(event, ui);
                        },
                        stop: function (event, ui) {
                            opacityDefault(event, ui);
                        }
                    });

                    jQuery("#slider-range-opacity-add1 .ui-slider-handle:first").tooltip({
                        title: jQuery("#slider-range-opacity-add1").slider("value"),
                        trigger: "manual"
                    }).tooltip("show");
   
                    var transInit2 = 1;
                    if (jQuery('#trans-active-add').val() == '') {
                        transInit2 = 1;
                    } else {
                        transInit2 = jQuery('#trans-active-add').val();
                    }

                    jQuery("#slider-range-opacity-add2").slider({
                        range: false,
                        min: 0,
                        max: 1,
                        step: 0.1,
                        value: transInit2,
                        slide: function (event, ui) {
                            opacityActive(event, ui);
                        },
                        stop: function (event, ui) {
                            opacityActive(event, ui);
                        }
                    });

                    jQuery("#slider-range-opacity-add2 .ui-slider-handle:first").tooltip({
                        title: jQuery("#slider-range-opacity-add2").slider("value"),
                        trigger: "manual"
                    }).tooltip("show");

                    jQuery('#text-color-add').colorpicker().on('changeColor');

                    jQuery('#background-color-add').colorpicker().on('changeColor');
      
                    jQuery('#vaText-add').keyup(function () {
                        jQuery('.opentip-container .ot-content').html(jQuery('#vaText-add').val());
                    }); <?php

                    if (isset($_GET) && isset($_GET['modd']) && isset($_GET['modd']) == 'edit') { ?>
                        yt_global_settings.mod = 'edit';
                        jQuery('#thTab3 a:last').tab('show'); <?php
                    } ?>
                });

                function showAddAnnotaion() {
                    jQuery('#thTab3 a[href$="#addAnnotation"]').tab('show');
                }

                function slideTime(sliderID, input_text, hidden_start, hidden_end) {
                    var val0 = jQuery(sliderID).slider("values", 0),
                        val1 = jQuery(sliderID).slider("values", 1),

                        seconds0 = parseInt(val0 % 60, 10),
                        minutes0 = parseInt(val0 / 60 % 60, 10),
                        hours0 = parseInt(val0 / 3600 % 24, 10),

                        seconds1 = parseInt(val1 % 60, 10),
                        minutes1 = parseInt(val1 / 60 % 60, 10),
                        hours1 = parseInt(val1 / 3600 % 24, 10);


                    if (hours0 < 10) {
                        hours0 = '0' + hours0.toString();
                    }
                    if (hours1 < 10) {
                        hours1 = '0' + hours1.toString();
                    }
                    if (minutes0 < 10) {
                        minutes0 = '0' + minutes0.toString();
                    }
                    if (seconds0 < 10) {
                        seconds0 = '0' + seconds0.toString();
                    }
                    if (minutes1 < 10) {
                        minutes1 = '0' + minutes1.toString();
                    }
                    if (seconds1 < 10) {
                        seconds1 = '0' + seconds1.toString();
                    }

                    startTime = hours0 + ':' + minutes0 + ':' + seconds0;
                    endTime = hours1 + ':' + minutes1 + ':' + seconds1;
                    jQuery(input_text + '1').html(startTime);
                    jQuery(input_text + '2').html(endTime);
                    jQuery(hidden_start).val(val0);
                    jQuery(hidden_end).val(val1);
                }

                var tag = document.createElement('script');

                tag.src = "https://www.youtube.com/iframe_api";
                var firstScriptTag = document.getElementsByTagName('script')[0];
                firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);

                var player;

                function onYouTubeIframeAPIReady() {
                    player = new YT.Player('player', {
                        height: '<?php echo $videoHeight; ?>',
                        width: '<?php echo $videoWidth; ?>',
                        videoId: '<?php echo $v->get_youtube_id($v->videoLink); ?>',
                        events: {
                            'onReady': onPlayerReady
                        },
                        playerVars: {
                            modestbranding: 0,
                            enablejsapi: 1,
                            autohide: 1,
                            iv_load_policy: 3,
                            showinfo: 0,
                            rel: 0,
                            egm: 1,
                            fs: 0,
                            wmode: "opaque"
                        }
                    });
                }

                function onPlayerReady(event) {
                    getDurationIE();
                }

                var playerduration_global = '';

                function getDurationIE() {
                    if (parseInt(player.getDuration()) > 0) {
                        player.stopVideo();
                        player.unMute();
                        playerduration_global = player.getDuration();
                        setTimeout(setTheMovie, 10);
                    } else {
                        setTimeout(getDurationIE, 500);
                    }
                }

                function setTheMovie() {
                    player.cueVideoByUrl({
                        mediaContentUrl: "http://www.youtube.com/embed/<?php echo $v->get_youtube_id($v->videoLink); ?>"
                    });

                    jQuery("#slider-range-add").slider({
                        range: true,
                        min: 1,
                        max: playerduration_global,
                        step: 10,
                        values: [ <?php echo $obj->annStart; ?> , <?php echo $obj->annEnd; ?> ],
                        slide: function (event, ui) {        
                            slideTime("#slider-range-add", "#time-interval-add", "#vaStart-add", "#vaEnd-add");
                        },
                        stop: function (event, ui) {
                            slideTime("#slider-range-add", "#time-interval-add", "#vaStart-add", "#vaEnd-add");
                        }
                    });
                    slideTime("#slider-range-add", "#time-interval-add", "#vaStart-add", "#vaEnd-add");

                    <?php
                    if (isset($_GET) && isset($_GET['modd']) && isset($_GET['modd']) == 'edit') { ?>
                        jQuery("#slider-range-edit").slider({
                            range: true,
                            min: 1,
                            max: playerduration_global,
                            step: 10,
                            values: [ <?php echo $va->annStart; ?> , <?php echo $va->annEnd; ?> ],
                            slide: function (event, ui) {        
                                slideTime("#slider-range-edit", "#time-interval-edit", "#vaStart-edit", "#vaEnd-edit");
                            },
                            stop: function (event, ui) {
                                slideTime("#slider-range-edit", "#time-interval-edit", "#vaStart-edit", "#vaEnd-edit");
                            }
                        });
                        slideTime("#slider-range-edit", "#time-interval-edit", "#vaStart-edit", "#vaEnd-edit"); <?php
                    } ?>
                    customAnn();
                }
            </script>
        </div>
    </div> <?php
}