<?php 

/**
 * Custom Menu Display
 */


/**
 * Function to display the "video gallery manager" page
 */

function yt_video_cat_manager(){ ?>

    <div class="wrap">
    	<?php screen_icon('upload') ?>
    	<h2>
    		Video Gallery Manager

    		<a href="#thModal" role="button" class="btn btn-primary" data-toggle="modal">Add New Video Gallery</a>

    		<div id="thModal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="thModalLabel" aria-hidden="true">
    			<div class="modal-header">
    				<h3 id="thModalLabel">Add Gallery</h3>
    			</div>

    			<form id="addVideoForm" method="POST" action="">
    				<div class="modal-body">

                        <?php $currentUser = wp_get_current_user(); ?>

    					<input type="hidden" name="vUserID" value="<?php echo $currentUser->ID; ?>">
    					<div class="control-group">
    						<label class="control-label" for="catTitle">Gallery Title</label>
    						<div class="controls">
    							<input type="text" id="catTitle" placeholder="Title" name="catTitle" value="" class="input-xlarge">
    						</div>
    					</div>
    				</div>
    				<div class="modal-footer">
    					<button class="btn" data-dismiss="modal" aria-hidden="true">Close</button>
    					<button type="submit" name="ytAddVideoCat" class="btn btn-primary">Submit</button>
    				</div>
    			</form>
    		</div>
    	</h2> <hr />

        <?php 
        	if(isset($_GET["m"]))
        	{
        		$m = $_GET["m"];
        		$msg = $_GET["msg"];
        		yt_show_message($msg, $m);
        	}
	    ?>

    	<table class="ytTable widefat">
    		<thead>
    			<tr>
    				<th>ID</th>
    				<th>Title</th>
    				<th>Amount of Videos</th>
    				<th>Action</th>
    			</tr>
    		</thead>

    		<tfoot>
    			<tr>
    				<th>ID</th>
    				<th>Title</th>
    				<th>Amount of Videos</th>
    				<th>Action</th>
    			</tr>
    		</tfoot>

    		<tbody> <?php 
    			$ytVideoCats = YT_VideoCat::ytGetCats();
    			foreach ($ytVideoCats as $ytC): ?>
        			<tr>
        				<td> <?php echo $ytC->video_cat_id; ?> </td>

        				<td>
                            <b>
                                <a data-toggle="modal" data-target="#thModal2" title="Delete" rel="tooltip" href="<?php echo admin_url() ?>admin-ajax.php?action=yt_video_cat_edit_ajax&catID=<?php echo $ytC->video_cat_id; ?>"><?php echo $ytC->video_cat_title; ?></a>
                            </b>
                        </td>

        				<td> <?php

        					global $current_user;
                            get_currentuserinfo();		
                            $currentUserID = $current_user->ID;		
                            $videos        = YT_Video::ytGetVideos(array('catID'=>$ytC->video_cat_id, 'currentUserID' => $currentUserID)) ;
                            $videosCount   = count($videos); ?> 

                            <b>
                                <a href="<?php echo admin_url(); ?>admin.php?page=yt_video_manage&vCat=<?php echo $ytC->video_cat_id; ?>"><?php echo $videosCount; ?></a>
                            </b>
                        </td>

        				<td>
                            <a data-toggle="modal" data-target="#thModal2" title="Delete" rel="tooltip" href="<?php echo admin_url(); ?>admin-ajax.php?action=yt_video_cat_edit_ajax&catID=<?php echo $ytC->video_cat_id; ?>" class="btn btn-primary btn-mini">
                                <i class="icon-white icon-pencil"></i>
        				    </a> 
                            <a data-toggle="modal" data-target="#thModal1" title="Delete" rel="tooltip" href="<?php echo admin_url(); ?>admin-ajax.php?action=yt_video_cat_del_ajax&catID=<?php echo $ytC->video_cat_id; ?>" class="btn btn-danger btn-mini">
                                <i class="icon-white icon-remove"></i>
            				</a>
                        </td>
                    </tr> <?php 
                endforeach ?>
    		</tbody>
    	</table>
    </div>

    <div id="thModal1" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="thModalLabel" aria-hidden="true">
    	<form method="POST" action="">
    		<div class="modal-header">
    			<h3 id="thModalLabel">Delete Gallery</h3>
    		</div>
    		<div class="modal-body">
    			<p>Loading…</p>
    		</div>
    		<div class="modal-footer">
    			<button class="btn" data-dismiss="modal" aria-hidden="true">Close</button>
    			<button type="submit" class="btn btn-danger" name="ytDelVideoCat_Yes">Delete</button>
    		</div>
    	</form>
    </div>

    <div id="thModal2" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="thModalLabel" aria-hidden="true">
    	<form method="POST" action="">
    		<div class="modal-header">
    			<h3 id="thModalLabel">Update Gallery</h3>
    		</div>
    		<div class="modal-body">
    			<p>Loading…</p>
    		</div>
    		<div class="modal-footer">
    			<button class="btn" data-dismiss="modal" aria-hidden="true">Close</button>
    			<button type="submit" class="btn btn-primary" name="ytEditVideoCat">Submit</button>
    		</div>
    	</form>
    </div>

    <script type="text/javascript">
        jQuery(document).ready(function($) {
        	jQuery('body').on('hidden', '.modal', function () {
        		jQuery(this).removeData('modal');
        	});
        });
    </script> <?php
}
