<?php 

/**
 * Custom Menu Display
*/


/**
 * Function to display the "video manage" page
*/

function yt_video_manage(){
    $currentUser = wp_get_current_user();
    $catID   = (isset($_GET["vCat"])) ? $_GET["vCat"] : 0;

	global $current_user;

	get_currentuserinfo();		
    $currentUserID = $current_user->ID;		
    $ytVideos      = YT_Video::ytGetVideos(array('catID' => $catID, 'currentUserID' => $currentUserID));
    $items         = count($ytVideos);
    $numLimit      = 10;

	if($items > $numLimit) {
		$p = new YT_Pagination();
		$p->items($items);
		$p->limit(10);
		$p->target($_SERVER["REQUEST_URI"]);
		$p->calculate();
		$p->parameterName('paged');
		$p->adjacents(1);
		if(!isset($_GET['paged'])) {
			$p->page = 1;
		} else {
			$p->page = $_GET['paged'];
		}
		$p->currentPage($p->page);

		$limit = "LIMIT " . ($p->page - 1) * $p->limit  . ", " . $p->limit;
	} else {
		$limit = "LIMIT 0, 10";
	}

	?>

	<div class="wrap">
		<?php screen_icon('upload'); ?>
		<h2> Video Manager
			<a href="#thModal" role="button" class="btn btn-primary" data-toggle="modal">Add New Video</a>
			<div id="thModal" class="modal hide fade" tabindex="-1" role="dialog"
				aria-labelledby="thModalLabel" aria-hidden="true">
				<div class="modal-header">
					<h3 id="thModalLabel">Add Video</h3>
				</div>
				<form id="addVideoForm" method="POST" action="">
					<div class="modal-body">
						<input type="hidden" name="vUserID" value="<?php echo $currentUser->ID; ?>">

						<div class="control-group">
							<label class="control-label" for="inputvTitle">Title</label>
							<div class="controls">
								<input type="text" id="inputvTitle" placeholder="Title" name="vTitle" value="" class="input-xlarge">
							</div>
						</div>

						<div class="control-group">
							<label class="control-label" for="inputvTitle">Link</label>
							<div class="controls">
								<input type="text" id="inputvTitle" placeholder="Link" name="vLink" value="" class="input-xlarge">
							</div>
						</div>

						<div class="control-group">
							<label class="control-label" for="inputvTitle">Gallery</label>
							<div class="controls">
								<?php echo YT_VideoCat::ytDisplayListCat(); ?>
							</div>
						</div>

						<div class="control-group">
							<label class="control-label" for="vStatus">Status</label>
							<div class="controls">
								<select name="vStatus" class="input-xlarge">
									<option value="1">Published</option>
									<option value="0">Unpublished</option>
								</select>
							</div>
						</div>

					</div>
					<div class="modal-footer">
						<button class="btn" data-dismiss="modal" aria-hidden="true">Close</button>
						<button type="submit" name="ytAddVideoSingle" class="btn btn-primary">Submit</button>
					</div>
				</form>
			</div>
		</h2>

		<hr />

	    <?php 
			//show message
			if(isset($_GET) && isset($_GET["m"]))
			{
				$m = $_GET["m"];
				$msg = $_GET["msg"];
				yt_show_message($msg, $m);
			}
		?>

		<hr />

		<form method="POST" action="">
			<div class="controls controls-row">
				<span class="badged">Action:</span> 
                <select name="ytActions" class="input-medium">
					<option value="1">Publish</option>
					<option value="2">Unpublish</option>
					<option value="3">Delete</option>
				</select> 
				<input type="submit" class="btn btn-small btnAct" name="ytBtnAct" value="Applay">
			</div>

			<hr />
			
			<table class="ytTable widefat">
				<thead>
					<tr>
						<td style="border-bottom: solid 1px #E6E6E6;"><input type="checkbox" name="ytChkAll" class="ytChkAll"></td>
						<th>ID</th>
						<th>Title</th>
	                    <th>Shortcode</th>
						<th>Gallery</th>
						<th>Link</th>
						<th>Status</th>
						<th>Action</th>
					</tr>
				</thead>

				<tfoot>
					<tr>
						<th></th>
						<th>ID</th>
						<th>Title</th>
	                    <th>Shortcode</th>
						<th>Gallery</th>
						<th>Link</th>
						<th>Status</th>
						<th>Action</th>
					</tr>
				</tfoot>

				<tbody>
					<?php 
						global $current_user;
						get_currentuserinfo();		
						$currentUserID = $current_user->ID;
						$ytVideos = YT_Video::ytGetVideos(
                            array(
                                'catID'         => $catID, 
                                'limitText'     => $limit, 
                                'currentUserID' => $currentUserID
                            )
                        );

						foreach ($ytVideos as $ytV): ?>
							<tr class="alternate">
								<td>
									<input type="checkbox" name="ytChkVideos[]" class="ytSubChk" value="<?php echo $ytV->video_id; ?>">
								</td>
								<td>
									<b><?php echo $ytV->video_id; ?></b>
								</td>
								<td>
									<b><a data-toggle="tooltip" title="Edit Video Settings and Manage Annotations" rel="tooltip" href="<?php echo admin_url(); ?>admin.php?page=yt_edit_annotation&videoID=<?php echo $ytV->video_id; ?>"><b><?php echo $ytV->video_title; ?></b></a></b>
								</td>
			                    <td>
			                    	<?php echo '[yt_video id='.$ytV->video_id.']'; ?>
			                    </td>
								<td>
									<?php echo $ytV->video_cat_title; ?>
								</td>
								<td>
									<a data-toggle="tooltip" title="Watch On YouTube" rel="tooltip" href="<?php echo $ytV->video_link; ?>" class="btn btn-mini" target=_blank><i class="icon-facetime-video"></i></a>
								</td>
								<td>
									<?php echo ($ytV->video_status) ? '<a data-toggle="tooltip" title="Active" rel="tooltip" href="javascript:void(0);" class="btn btn-success btn-mini"><i class="icon-white icon-ok"></i></a>' : '<a data-toggle="tooltip" title="Inactive" rel="tooltip" href="#" class="btn btn-danger btn-mini"><i class="icon-white icon-remove"></i></a>'; ?>
								</td>
								<td>
									<a data-toggle="tooltip" title="Edit Video Settings and Manage Annotations" rel="tooltip" href="<?php echo admin_url() ?>admin.php?page=yt_edit_annotation&videoID=<?php echo $ytV->video_id; ?>" class="btn btn-primary btn-mini"><i class="icon-white icon-pencil"></i></a>
									<a data-toggle="modal" data-target="#thModal1" title="Delete" rel="tooltip" href="<?php echo admin_url(); ?>admin-ajax.php?action=yt_video_del_ajax&videoID=<?php echo $ytV->video_id; ?>" class="btn btn-danger btn-mini"><i class="icon-white icon-remove"></i></a>
								</td>
							</tr> <?php 
						endforeach; 
					?>
				</tbody>
			</table>

			<?php if ($items > $numLimit): ?>
			<div class="tablenav">
				<div class='tablenav-pages'>
					<?php echo $p->show(); ?>
				</div>
			</div>
			<?php endif ?>
		</form>

		<div id="thModal1" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="thModalLabel" aria-hidden="true">
			<form method="POST" action="">
				<div class="modal-header">
					<h3 id="thModalLabel">Delete Video</h3>
				</div>
				<div class="modal-body">
					<p>Loading…</p>
				</div>
				<div class="modal-footer">
					<button class="btn" data-dismiss="modal" aria-hidden="true">Close</button>
					<button type="submit" class="btn btn-danger" name="ytDelVideo_Yes">Delete</button>
				</div>
			</form>
		</div>

	</div>
	<script type="text/javascript">
		jQuery(document).ready(function($){

			jQuery(".btnAct").click(function(e){
				var rs = false;
				jQuery('.ytTable tr').each (function ()
				{
					var checkbox = jQuery(this).find(".ytSubChk");
					if (checkbox.is (':checked'))
					{
						rs = true;
					}
				});

				if(rs == false)
				{
					alert("No Items checked");
					e.preventDefault();	
				}
			});

			jQuery(".ytChkAll").click(function(){
				if(jQuery(this).is(":checked"))
				{
					jQuery('.ytTable tr').each (function ()
					{
						var checkbox = jQuery(this).find(".ytSubChk");
						checkbox.attr("checked", "checked");
					});
				}
				else
				{
					jQuery('.ytTable tr').each (function ()
					{
						var checkbox = jQuery(this).find(".ytSubChk");
						checkbox.removeAttr("checked");
					});	
				}
			});
			
			
			jQuery("[rel='tooltip']").tooltip();
            
			jQuery('body').on('hidden', '.modal', function () {
				jQuery(this).removeData('modal');
			});
		});	
	</script> <?php
}