<?php 
/*
    Plugin Name: Traffic ROI Machine
    Plugin URI: http://trafficmice.com
    Description: Amazing software that siphons Youtube's authority to make your videos super profitable!
    Version: 1.0.9.7
    Author: Precious Ngwu
    Author URI: http://preciousngwu.com
    License: Copyright Protected, Vilinox LTD. For Personal Use only
*/


define( 'YT_DIR', plugin_dir_path( __FILE__ ) );
define( 'YT_URL', plugin_dir_url( __FILE__ ) );

define("YT_INC_DIR",     YT_DIR      . "includes/");
define("YT_CLASS_DIR",   YT_INC_DIR  . "class/");
define("YT_PROCESS_DIR", YT_INC_DIR  . "process/");
define("YT_VIEWS_DIR",   YT_INC_DIR  . "views/");

define("YT_ASSETS_URL", YT_URL        . "assets/");
define("YT_IMG_URL",    YT_ASSETS_URL . "images/");
define("YT_CSS_URL",    YT_ASSETS_URL . "css/");
define("YT_JS_URL",     YT_ASSETS_URL . "js/");


require_once(YT_INC_DIR . 'create-table.php');
register_activation_hook(__FILE__,'yt_install_videos_table');
register_activation_hook(__FILE__,'yt_install_videos_annotation_table');
register_activation_hook(__FILE__,'yt_install_videos_cat_table');
register_activation_hook(__FILE__,'yt_install_data_videos_cat_table');


require_once(YT_INC_DIR . 'options.php');
register_activation_hook(__FILE__,'yt_videos_create_options');
register_activation_hook(__FILE__,'yt_youtube_player_parameters');


/**
 * Class Require
*/
require_once(YT_INC_DIR . 'message.php');
require_once(YT_INC_DIR . 'menus.php');
require_once(YT_INC_DIR . 'shortcode.php');
require_once(YT_INC_DIR . 'functions.php');
require_once(YT_INC_DIR . 'scripts.php');

require_once(YT_CLASS_DIR . 'video.php');
require_once(YT_CLASS_DIR . 'video_cat.php');
require_once(YT_CLASS_DIR . 'video_annotation.php');
require_once(YT_CLASS_DIR . 'pagination.php');

require_once(YT_PROCESS_DIR . 'add_video.php');
require_once(YT_PROCESS_DIR . 'add_video_single.php');
require_once(YT_PROCESS_DIR . 'edit_video.php');
require_once(YT_PROCESS_DIR . 'del_video_yes.php');
require_once(YT_PROCESS_DIR . 'add_video_cat.php');
require_once(YT_PROCESS_DIR . 'edit_video_cat.php');
require_once(YT_PROCESS_DIR . 'del_video_cat_yes.php');
require_once(YT_PROCESS_DIR . 'add_video_annotation.php');
require_once(YT_PROCESS_DIR . 'edit_video_annotation.php');
require_once(YT_PROCESS_DIR . 'del_video_annotation_yes.php');
require_once(YT_PROCESS_DIR . 'update_video_options.php');
require_once(YT_PROCESS_DIR . 'btn_act.php');

require_once(YT_VIEWS_DIR . 'video_manage.php');
require_once(YT_VIEWS_DIR . 'video_edit.php');
require_once(YT_VIEWS_DIR . 'video_del_ajax.php');
require_once(YT_VIEWS_DIR . 'video_cat_manager.php');
require_once(YT_VIEWS_DIR . 'video_cat_edit_ajax.php');
require_once(YT_VIEWS_DIR . 'video_cat_del_ajax.php');
require_once(YT_VIEWS_DIR . 'video_annotation_manage.php');
require_once(YT_VIEWS_DIR . 'video_annotation_edit.php');
require_once(YT_VIEWS_DIR . 'video_annotation_del_ajax.php');
require_once(YT_VIEWS_DIR . 'video_option.php');

/*
* AJAX actions 
*/
add_action('wp_ajax_yt_video_del_ajax', 'yt_video_del_ajax');
add_action("wp_ajax_nopriv_yt_video_del_ajax", "yt_video_del_ajax");

add_action('wp_ajax_yt_video_cat_del_ajax', 'yt_video_cat_del_ajax');
add_action("wp_ajax_nopriv_yt_video_cat_del_ajax", "yt_video_cat_del_ajax");

add_action('wp_ajax_yt_video_cat_edit_ajax', 'yt_video_cat_edit_ajax');
add_action("wp_ajax_nopriv_yt_video_cat_edit_ajax", "yt_video_cat_edit_ajax");

add_action('wp_ajax_yt_video_annotation_del_ajax', 'yt_video_annotation_del_ajax');
add_action("wp_ajax_nopriv_yt_video_annotation_del_ajax", "yt_video_annotation_del_ajax");


function yt_plugin_template() {
    include(YT_INC_DIR . "front-render.php");
    exit;
}
if ($_GET['yt_plugin_page'] == "video_annotation") {
    add_action('template_redirect', 'yt_plugin_template');
}